Bug 52934 - quotaon doesnt work with -u and -g at same time
Summary: quotaon doesnt work with -u and -g at same time
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-30 23:03 UTC by Need Real Name
Modified: 2007-03-27 03:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 18:20:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:108 normal SHIPPED_LIVE Updated quota package for Red Hat Linux 7.1 2001-08-30 04:00:00 UTC

Description Need Real Name 2001-08-30 23:03:55 UTC
Description of Problem:
In redhat 7.1 when I configure all the files for disk quota, but  when I
run: quotaon -avug   it only loads support for user quotas, but if I type
quotaon -avg it works for groups and quotaon -avu works for users, but not
both at the same time

Version-Release number of selected component (if applicable):
quota  redhat 7.1

How Reproducible:
quotaon -avug
quota -g yourdesiredgroupname

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Preston Brown 2001-08-31 14:12:07 UTC
what options do you have in /etc/fstab for the filesystem in question?  Just 
"quota"?  If so, you need to add "grpquota" as well.


Comment 2 Need Real Name 2001-09-01 10:16:14 UTC
This is my /etc/fstab file:
-----------------------
LABEL=/                 /                       ext2   
defaults,usrquota,grpquota        1 1
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0
0LABEL=/                 /                       ext2   
defaults,usrquota,grpquota        1 1
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda5               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0

none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda5               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
--------------------------

My /etc/rc.d/rc.local contains:

---------------
if [ -x /sbin/quotacheck ] ; then 
 echo "Checking quotas. This may take some time." 
 /sbin/quotacheck -avug 
 echo " Done." 
fi 
if [ -x /sbin/quotaon ] ; then 
  echo "Turning on quota." 
  /sbin/quotaon -avug 
fi
------------------------
And I did:
touch /quota.user
touch /quota.group
chmod 600 /quota.user
chmod 600 /quota.group
convertquota -u -g /

Comment 3 Need Real Name 2001-09-01 10:19:45 UTC
I am sorry I pasted repeatly my /etc/fstab  file  :[  the correct one is:
---------------------
LABEL=/                 /                       ext2   
defaults,usrquota,grpquota        1 1
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda5               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
------------------

Comment 4 Preston Brown 2001-09-05 18:20:12 UTC
this is fixed in an upcoming errata release.



Note You need to log in before you can comment on or make changes to this bug.